Subject: [marf] draft-ietf-marf-redaction

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 17 Nov 2011 19:13:35 -0800

Hello all,

Given yesterday's news, and since it is so close to completion, I will be making the final edits on the above draft as well as shepherding it through to the IESG.  My name will appear as a co-author on the draft even though JD was editing it.  This is temporary and simply enables me to "own" the document through the datatracker.  An RFC Editor note has been added to request that they remove me prior to actual publication.

WGLC on it ends in about 24 hours, after which I will post a new version based on the feedback received so far.  I'm replying to those postings now and making those edits, as they are largely minor.  If anyone else wishes to weigh in, please do so within that time.

Thanks,
-MSK

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 19 Nov 2011 22:52:33 -0800

The updated version has been posted.  Please review it (or at least its diffs) soon for correctness based on WGLC input as I'd like to get it on its way to the IESG.

Thanks,
-MSK

From: [email-masked] [mailto:[email-masked]] On Behalf Of Murray S. Kucherawy
Sent: Thursday, November 17, 2011 7:14 PM
To: [email-masked]
Subject: [marf] draft-ietf-marf-redaction

Hello all,

Thanks,
-MSK

---

From: Alessandro Vesely <[email-masked]>
Date: Mon, 21 Nov 2011 21:02:00 +0100

On 20/Nov/11 07:52, Murray S. Kucherawy wrote:
> The updated version has been posted.  Please review it (or at least
> its diffs) soon for correctness based on WGLC input as I’d like to get
> it on its way to the IESG.

Three quick notes:

* Section 3.3, 1st paragraph
I'd s/could be used/can be used/.  I'm not sure on the exact meaning
of "incumbent"; as that concept is better explained in the last
paragraph of Appendix A, the second sentence here may be redundant.

* Section 3.3, 2nd paragraph
The reference seems incorrect.  Isn't it RFC 6449 that describes the
establishment of bilateral agreements between report producers and
consumers?

This I-D expands section 8.5 of RFC 5965.  A reverse-reference should
be written as such, see http://en.wikipedia.org/wiki/COMEFROM :-)

* Appendix A
Please s/email service provider/mailbox provider/.

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 21 Nov 2011 14:57:03 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Alessandro Vesely
> Sent: Monday, November 21, 2011 12:02 PM
> To: [email-masked]
> Subject: Re: [marf] draft-ietf-marf-redaction
> 
> I'd s/could be used/can be used/.  I'm not sure on the exact meaning of
> "incumbent"; as that concept is better explained in the last paragraph
> of Appendix A, the second sentence here may be redundant.

I think "could" is fine here.  What's in Appendix A gives an example of what the second sentence describes, so I think it's also fine that this stays in.

> establishment of bilateral agreements between report producers and

Section 8.2 of [ARF] talks about them (third paragraph), but so does RFC6449 (of course).  I'll add the reference.

> be written as such, see http://en.wikipedia.org/wiki/COMEFROM :-)

The best we could do would be to mark RFC5965 as updated by this one, but to do that this one would have to be Standards Track (a lower-status document can't update a higher-status one).  I don’t think that'll fly here.

Otherwise, I think the text in the Introduction already serves this purpose.

Thanks,
-MSK

---

From: Shmuel (Seymour J.) Metz <[email-masked]>
Date: Mon, 21 Nov 2011 21:21:57 -0500

In <[email-masked]>, on 11/21/2011

>establishment of bilateral agreements between report producers and

Yes. Section 8 of RFC 5965 is Security considerations. I agree that
the reference belongs in a separate sentence, perhaps a separate
paragraph.

-- 
     Shmuel (Seymour J.) Metz, SysProg and JOAT
     Atid/2        <http://patriot.net/~shmuel>
We don't care. We don't have to care, we're Congress.
(S877: The Shut up and Eat Your spam act of 2003)

---

From: Shmuel (Seymour J.) Metz <[email-masked]>
Date: Tue, 22 Nov 2011 10:46:55 -0500

In
<[email-masked]>,
on 11/21/2011
   at 02:57 PM, "Murray S. Kucherawy" <[email-masked]> said:

>Section 8.2 of [ARF] talks about them (third paragraph),

More like mentions in passing:

"In particular, S/MIME offers the strongest authentication and the
cost of key exchange is assumed in the process of establishing a
bilateral reporting relationship that uses this specification;"